Subject: Re: bug#41099: 28.0.50; TRAMP process-file ignores exit status of remote process

From: Dmitry Gutov <[email-masked]>
Date: Sun, 17 May 2020 01:03:42 +0300

On 16.05.2020 15:19, Michael Albinus wrote:

>> On 14.05.2020 18:49, Michael Albinus wrote:
>>> I understand (and sympathize) both positions. However, Tramp has
>>> returned for decades no strings for process-file, so I don't expect any
>>> code in the wild which expects this.
>>
>> But is there code in the wild that expects the _current_ behavior?
> 
> Don't know. But at least Philipp has reported this inconsistency, so
> there are prople who care.

Care for the remote case to behave like the local one, right? Not the 
reverse?

>> It sounds rather odd to me, given that such code would only be
>> intended to run on remote systems, but never on the local one. Is that
>> about right?
> 
> Emacs has no problem to detect, whether a local process has been
> interrupted by a signal. It does it on C level.

OK, so if I understand you right, Tramp ends up doing some extra 
computations to get that info, and that makes it slower. I suppose this 
could be a reason to make the "correct" behavior disabled by default.